Modify

#498 closed defect (worksforme)

unable to bind UNIX socket to /var/run/bitlbee.sock

Reported by: fuze Owned by:
Priority: normal Milestone:
Component: BitlBee Version: 1.2.3
Keywords: bitlbee.sock Cc:
IRC client+version: Client-independent Operating System: Linux
OS version/distro: Ubuntu 8.04 server

Description

Hello,

I am using Bitlbee version 1.2-3 on a Ubuntu 8.04 server setup. Bitlbee worked fine until yesterday when there was a power interruption at my house and the server fell out. After rebooting I find this error in my /var/log/daemon.log when I start bitlbee using "sudo /etc/init.d/bitlbee start":

bitlbee[4932]: Unable to bind UNIX socket to /var/run/bitlbee.sock: Permission denied

I am running the default configuration (which worked up until the power interruption yesterday). I've tried restarting the server properly and reinstalling bitlbee via repositories, but no help. The user & group bitlbee are present on the system.

Attachments (0)

Change History (15)

comment:1 Changed at 2009-06-03T13:46:20Z by fuze

I changed permissions on /var/run to 777 and after that the bitlbee.sock was made while starting bitlbee. However, I can't connect using 'irssi -c localhost' like I used to do before.

I'm guessing something was corrupted by the power interruption just shutting down the server instantly. Don't know how to solve this or where to start looking though.

comment:2 Changed at 2009-06-03T13:53:31Z by wilmer

This message should be a red herring, /var/run/bitlbee.sock isn't essential for anything.

Is the BitlBee process running at all? Does lsof show it listening on a TCP socket?

comment:3 Changed at 2009-06-03T13:56:33Z by fuze

snipped output of 'lsof | grep bitlbee':

bitlbee 6341 bitlbee 0u unix 0xcb96d400 16184 socket bitlbee 6341 bitlbee 1u unix 0xc904aa00 16185 socket bitlbee 6341 bitlbee 2r REG 8,1 33563 854039 /usr/share/bitlbee/help.txt bitlbee 6341 bitlbee 3u 0000 0,6 0 529 /anon_inode:[eventpoll] bitlbee 6341 bitlbee 4u unix 0xcb96d200 16180 socket bitlbee 6341 bitlbee 5u unix 0xcb96da00 16181 socket bitlbee 6341 bitlbee 6u IPv4 16183 TCP *:ircd (LISTEN)

So yes, it is listening I guess?

comment:4 Changed at 2009-06-03T13:57:46Z by fuze

Sorry for the formatting.

bitlbee   6341     bitlbee    0u     unix 0xcb96d400              16184 socket
bitlbee   6341     bitlbee    1u     unix 0xc904aa00              16185 socket
bitlbee   6341     bitlbee    2r      REG        8,1   33563     854039 /usr/share/bitlbee/help.txt
bitlbee   6341     bitlbee    3u     0000        0,6       0        529 /anon_inode:[eventpoll]
bitlbee   6341     bitlbee    4u     unix 0xcb96d200              16180 socket
bitlbee   6341     bitlbee    5u     unix 0xcb96da00              16181 socket
bitlbee   6341     bitlbee    6u     IPv4      16183                TCP *:ircd (LISTEN)

comment:5 Changed at 2009-06-03T14:02:09Z by <wilmer@…>

BitlBee (www-data@…) wrote:

bitlbee 6341 bitlbee 6u IPv4 16183 TCP
*:ircd (LISTEN)

Definitely looks like it is, yes. On all addresses, not just localhost.
And you get connection refused when connecting to localhost:6667?

comment:6 Changed at 2009-06-03T14:06:33Z by fuze

It keeps hanging here:

16:04 -!- Irssi: Looking up localhost
16:04 -!- Irssi: Connecting to localhost [127.0.0.1] port 6667

Whereas yesterday it would just connect within the second.

comment:7 Changed at 2009-06-03T14:12:05Z by Wilmer van der Gaast <wilmer@…>

What happens when you type "telnet localhost 6667"?

comment:8 Changed at 2009-06-03T14:13:47Z by fuze

The same thing, nothing happens..

comment:9 Changed at 2009-06-03T14:20:02Z by Wilmer van der Gaast <wilmer@…>

Odd. When you try to restart BitlBee, does it really restart? Can you use strace to see what the process is currently doing?

comment:10 Changed at 2009-06-03T14:27:40Z by fuze

strace on the pid gives this (while trying to connect to it with irssi):

Process 6533 attached - interrupt to quit
clock_gettime(CLOCK_MONOTONIC, {20132, 807382782}) = 0
epoll_wait(3,

Restarting bitlbee gives a new pid so I guess it is restarted properly?

comment:11 Changed at 2009-06-03T23:59:54Z by wilmer

Yeah, that sounds like a successful restart.

Looks like my last comment got lost: When you connect, do you see any activity in the strace output at all?

comment:12 Changed at 2009-06-04T00:01:39Z by wilmer

BTW, with nothing happens, do you mean that you don't get any connection, or that the connection is silent? As-in do you see this:

tewilmer@veer:~$ telnet localhost 6667 Trying ::1... Connected to localhost. Escape character is ']'.

Or nothing after "Trying"?

comment:13 Changed at 2009-06-04T05:50:44Z by fuze

I see nothing after trying. Also in the strace nothing pops up while I try to connect.

comment:15 Changed at 2009-06-07T16:02:22Z by Wilmer van der Gaast <wilmer@…>

It's starting to sound more like a firewall issue... BitlBee is listening on localhost, and even "telnet localhost 6667" doesn't get a connection. Can you check your firewall (ufw?) rules?

comment:16 Changed at 2009-06-17T23:07:43Z by wilmer

Resolution: worksforme
Status: newclosed

I guess it was indeed the firewall?

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.